OCF_PACEMAKER_HEALTH(7)

NAME
ocf_pacemaker_HealthSMART - SMART health status

SYNOPSIS

OCF_RESKEY_state=string [OCF_RESKEY_drives=string] [OCF_RESKEY_devices=string] [OCF_RESKEY_temp_lower_limit=string] [OCF_RESKEY_temp_upper_limit=string] [OCF_RESKEY_temp_warning=string] HealthSMART [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

System health agent that checks the S.M.A.R.T. status of the given drives and updates the #health-smart attribute.

SUPPORTED PARAMETERS

OCF_RESKEY_state = string [/HealthSMART-.state]
    State file

    Location to store the resource state in.

OCF_RESKEY_drives = string [/dev/sda]
    Drives to check

    The drive(s) to check as a SPACE separated list. Enter the full path to the device, e.g. "/dev/sda".

OCF_RESKEY_devices = string
    Device types

    The device type(s) to assume for the drive(s) being tested as a SPACE separated list.

OCF_RESKEY_temp_lower_limit = string [0]
    Lower limit for the red smart attribute

    Lower limit of the temperature in deg C of the drive(s). Below this limit the status will be red.

OCF_RESKEY_temp_upper_limit = string [60]
    Upper limit for red smart attribute

    Upper limit of the temperature if deg C of the drives(s). If the drive reports a temperature higher than this value the status of #health-smart will be red.

OCF_RESKEY_temp_warning = string [5]
    Deg C below/above the upper limits for yellow smart attribute

    Number of deg C below/above the upper/lower temp limits at which point the status of #health-smart will change to yellow.

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.